
// Configuration for DCWebUI2.js
// `````````````````````````````
// app.motd is raw HTML, go nuts with images, flash audio, ...
// web.extern is the publically accessible URL for the server (no protocol or
//   trailing slash)

// Requires: nmdc and socket.io from npm
// Userlist image appropriated from ApexDC under the GPLv2 license
// Where applicable, please consider this project to be under the BSD license.

exports.conf = {
	
	// Application
	'app': {
		'name'   : 'DCWebUI2',
		'version': '1.1.0a',
		'motd'   : 'Welcome!<br>',
		'debug'  : true
	},
	
	// Web server
	'web': {
		'port'   : 8082,
		'bind_to': '127.0.0.1',
		'extern' : '127.0.0.1:8082', // The publically accessible URL for the server
		'title'  : 'DCWebUI'
	},
	
	// Hub connection
	'hub': {
		'address': '127.0.0.1',
		'port'   : 411,
		'tag'    : 'DCWebUI2.js'
	}
	
};