
// Configuration for DCWebUI2.js
// `````````````````````````````
// app.motd is raw HTML, go nuts with images, flash audio, ...
// web.extern is the publically accessible URL for the server (no protocol or
//   trailing slash)

// Requires: nmdc and socket.io from npm
// Client includes some icons from Glyphish (http://glyphish.com) under CC-BY
// Please consider this project to be under the BSD license.

exports.conf = {
	
	// Application
	'app': {
		'name'   : 'DCWebUI2',
		'version': '1.0',
		'motd'   : 'Welcome!<br><br>',
		'debug'  : true
	},
	
	// Web server
	'web': {
		'port'   : 8082,
		'bind_to': '10.0.0.2',
		'extern' : '10.0.0.2:8082', // The publically accessible URL for the server
		'title'  : 'DCWebUI'
	},
	
	// Hub connection
	'hub': {
		'address': '10.0.0.2',
		'port'   : 411,
		'tag'    : 'DCWebUI2.js'
	}
	
};